> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/ko/undefined-1/api-docs/retrieve-current-user-account-details.md).

# 현재 사용자 계정 세부정보 가져오기

이 엔드포인트를 사용하면 현재 인증된 사용자의 계정 세부정보를 가져올 수 있습니다.

## 엔드포인트

```
GET /api/v1/account/
```

## 인증

이 엔드포인트는 JWT 토큰을 사용한 인증이 필요합니다.

## 요청

요청 매개변수가 필요하지 않습니다.

## 응답

```json
{
  "id": "user_id",
  "email": "user@example.com",
  "name": "사용자 이름"
}
```

## 사용자 프로필 (확장 정보)

보다 자세한 사용자 프로필 정보를 얻으려면 다음을 사용할 수 있습니다:

```
GET /api/v1/me/
```

### 확장된 응답

```json
{
  "id": "username",
  "email": "user@example.com",
  "name": "사용자 이름",
  "user_onboarding_status": 7,
  "dev_onboarding_status": 3,
  "company_name": "회사",
  "website": "https://example.com",
  "bio": "사용자 약력",
  "team": [
    {
      "id": "team_id", 
      "name": "팀 이름", 
      "image_url": "url", 
      "role": "admin"
    }
  ],
  "embed_quota": 10000,
  "current_usage": 500,
  "email_verified": true
}
```

## 오류 응답

| 상태 코드 | 설명                             |
| ----- | ------------------------------ |
| 401   | 인증되지 않음 - 잘못되었거나 누락된 인증 자격 증명  |
| 403   | 금지됨 - 사용자가 이 리소스에 접근할 권한이 없습니다 |
| 500   | 내부 서버 오류 - 서버에서 문제가 발생했습니다     |

## 사용 예제

### cURL 사용하기

```bash
curl -H "Authorization: Bearer YOUR_JWT_TOKEN" https://api.rememberizer.ai/api/v1/account/
```

### 자바스크립트 사용하기

```javascript
const response = await fetch('https://api.rememberizer.ai/api/v1/account/', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_JWT_TOKEN'
  }
});
const data = await response.json();
console.log(data);
```

### 파이썬 사용하기

```python
import requests

headers = {"Authorization": "Bearer YOUR_JWT_TOKEN"}
response = requests.get("https://api.rememberizer.ai/api/v1/account/", headers=headers)
data = response.json()
print(data)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/ko/undefined-1/api-docs/retrieve-current-user-account-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
